# I3DShPolygonList Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShPolygonList:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | Init (boolean hasNormals, boolean hasUV)=0
virtual MCCOMErr MCCOMAPI | PreAllocateFacets (uint32 nbFacets)=0
virtual MCCOMErr MCCOMAPI | AddFacet (TFacet3D *facet)=0
virtual uint32 MCCOMAPI | CountFacets ()=0
virtual MCCOMErr MCCOMAPI | CalcNormals (real smoothAngle)=0
virtual TFacet3D *MCCOMAPI | GetIndFacets (uint32 index)=0
virtual MCCOMErr MCCOMAPI | SetHasUVSpace (boolean hasUV)=0
virtual MCCOMErr MCCOMAPI | SetUVSpace (UVSpaceInfo *uvSpaceInfo)=0
virtual MCCOMErr MCCOMAPI | GetUVSpace (uint32 uvSpaceID, UVSpaceInfo *uvSpaceInfo)=0
virtual uint32 MCCOMAPI | GetUVSpaceCount ()=0

## Detailed Description

Deprecated:

I3DShPolygonList is simply a bag of triangular facets. Other interfaces supported: I3DShObject, I3DShPrimitive

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DShPolygonList::AddFacet | ( | TFacet3D * | facet | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonList::CalcNormals | ( | real | smoothAngle | ) | `[pure virtual]`

virtual uint32 MCCOMAPI I3DShPolygonList::CountFacets | ( |  | ) | `[pure virtual]`

virtual TFacet3D* MCCOMAPI I3DShPolygonList::GetIndFacets | ( | uint32 | index | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonList::GetUVSpace | ( | uint32 | uvSpaceID,
|  | UVSpaceInfo * | uvSpaceInfo |
| ) |  |  | `[pure virtual]`

virtual uint32 MCCOMAPI I3DShPolygonList::GetUVSpaceCount | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonList::Init | ( | boolean | hasNormals,
|  | boolean | hasUV |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonList::PreAllocateFacets | ( | uint32 | nbFacets | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonList::SetHasUVSpace | ( | boolean | hasUV | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I3DShPolygonList::SetUVSpace | ( | UVSpaceInfo * | uvSpaceInfo | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3dShObject.h